Package Gnumed :: Package business :: Module gmPraxis :: Class gmCurrentPraxisBranch |
[frames] | no frames]

# Class gmCurrentPraxisBranch

source code

               object --+
                        |
    pycommon.gmBorg.cBorg --+
                            |
                           gmCurrentPraxisBranch

Instance Methods
__init__(self, branch=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__getattr__(self, attribute) | source code
__getitem__(self, attribute=None) Return any attribute if known how to retrieve it by proxy. | source code
__setitem__(self, attribute, value) | source code
remove_from_waiting_list(self, pk=None) | source code
update_in_waiting_list(self, pk=None, urgency=0, comment=None, zone=None) | source code
raise_in_waiting_list(self, current_position=None) | source code
lower_in_waiting_list(self, current_position=None) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `pycommon.gmBorg.cBorg`: `__new__`

Class Variables
| waiting_list_patients = `property(_get_waiting_list_patients, l`...``
| helpdesk = `property(_get_helpdesk, _set_helpdesk)`
| db_logon_banner = `property(_get_db_logon_banner, _set_db_logon`...``
| active_workplace = `property(_get_workplace, _set_workplace)`
| workplaces = `property(_get_workplaces, _set_workplaces)`
| user_email = `property(_get_user_email, _set_user_email)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, branch=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Class Variable Details

  ### waiting_list_patients Value:
      property(_get_waiting_list_patients, lambda x: x)

  ### db_logon_banner Value:
      property(_get_db_logon_banner, _set_db_logon_banner)